=== debian/changelog ===
pspy (1.2.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 15 Mar 2024 16:29:44 +0100
