=== debian/control ===
Source: pspy
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Daniel Ruiz de Alegría <daniruiz@kali.org>,
Rules-Requires-Root: no
Build-Depends:
 ca-certificates,
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-spf13-cobra-dev,
 golang-golang-x-sys-dev,
 upx,
Standards-Version: 4.6.2
Homepage: https://github.com/DominicBreuker/pspy
Vcs-Browser: https://gitlab.com/kalilinux/packages/pspy
Vcs-Git: https://gitlab.com/kalilinux/packages/pspy.git
XS-Go-Import-Path: github.com/dominicbreuker/pspy

Package: pspy
Architecture: amd64 i386
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Description: Monitor Linux processes without root permissions
 pspy is a command line tool designed to snoop on processes without need for
 root permissions. It allows you to see commands run by other users, cron jobs,
 etc. as they execute. Great for enumeration of Linux systems in CTFs. Also
 great to demonstrate your colleagues why passing secrets as arguments on the
 command line is a bad idea.
