=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh $@ --buildsystem=golang

override_dh_auto_build:
	mkdir $(CURDIR)/bin
	
	env GOPATH=$(CURDIR)/vendor_386_static \
		  GOCACHE=$(CURDIR)/vendor_386_static \
		  GOARCH=386 \
		  go build -a -ldflags '-s -w -X main.version=$(DEB_VERSION_UPSTREAM) -X main.commit=kali -extldflags \"-static\"' -o $(CURDIR)/bin/pspy32 main.go
	env GOPATH=$(CURDIR)/vendor_amd64_static \
		  GOCACHE=$(CURDIR)/vendor_amd64_static \
		  GOARCH=amd64 \
		  go build -a -ldflags '-s -w -X main.version=$(DEB_VERSION_UPSTREAM) -X main.commit=kali -extldflags \"-static\"' -o $(CURDIR)/bin/pspy64 main.go
	env GOPATH=$(CURDIR)/vendor_386 \
		  GOCACHE=$(CURDIR)/vendor_386 \
		  GOARCH=386 \
		  go build -ldflags '-w -s -X main.version=$(DEB_VERSION_UPSTREAM) -X main.commit=kali' -o bin/pspy32s main.go && upx $(CURDIR)/bin/pspy32s
	env GOPATH=$(CURDIR)/vendor_amd64 \
		  GOCACHE=$(CURDIR)/vendor_amd64 \
		  GOARCH=amd64 \
		  go build -ldflags '-w -s -X main.version=$(DEB_VERSION_UPSTREAM) -X main.commit=kali' -o bin/pspy64s main.go && upx $(CURDIR)/bin/pspy64s

override_dh_link:
ifeq ($(DEB_BUILD_ARCH),amd64)
	dh_link /usr/share/pspy/pspy64 /usr/bin/pspy
else
	dh_link /usr/share/pspy/pspy32 /usr/bin/pspy
endif

override_dh_dwz:

override_dh_auto_test:

override_dh_strip:
