=== debian/tests/control ===
Test-Command: pspy -h
Restrictions: superficial
