=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pspy-$1\.tar\.gz/ \
  https://github.com/DominicBreuker/pspy/tags .*/v?(\d\S+)\.tar\.gz
